Use item
Uses the item in the specified hand (eat, drink, throw, draw bow, etc.).
Uses the item in the specified hand (eat, drink, throw, draw bow, etc.).
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
hand*string
Which hand's item to use (e.g. eat food, draw a bow, throw a splash potion).
Value in
- "HAND_UNSPECIFIED"
- "HAND_MAIN"
- "HAND_OFF"
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/actions/use-item" \ -H "Content-Type: application/json" \ -d '{ "hand": "HAND_UNSPECIFIED" }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }}How is this page?
